- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::Test Class Reference

A static interface for enabling test features at run-time. More...

`#include <gtest.h>`

## Static Public Member Functions
static bool | enabled ()
| Returns true if test features are enabled. More...
static bool | enabled (const char *name)
| Returns true if the specified test feature is enabled. More...

## Detailed Description

A static interface for enabling test features at run-time.

Typically does nothing in a release build.

Definition at line 37 of file gtest.h.

## Member Function Documentation

bool G::Test::enabled | ( |  | ) |
| static

Returns true if test features are enabled.

Definition at line 46 of file gtest.cpp.

Referenced by GNet::Socket::connect(), GPop::StoreLock::lock(), Main::CommandLineImp::showTestFeatures(), and GNet::SimpleClient::synchronousDnsDefault().

bool G::Test::enabled | ( | const char * | name | ) |
| inline static

Returns true if the specified test feature is enabled.

Definition at line 48 of file gtest.h.

The documentation for this class was generated from the following files:

- gtest.h
- gtest.cpp